## gate.creole
Class AbstractController.InternalStatusListener

    java.lang.Object
      |
      +--gate.creole.AbstractController.InternalStatusListener

All Implemented Interfaces:
  EventListener, StatusListener

Enclosing class:
  AbstractController

protected class AbstractController.InternalStatusListener
extends Object
implements StatusListener

A simple status listener used to forward the events upstream.

Constructor Summary
`protected` `AbstractController.InternalStatusListener()`

Method Summary
`void` `statusChanged(String message)` Calleed when there a new status message.

Methods inherited from class java.lang.Object
`<clinit>, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Constructor Detail

### AbstractController.InternalStatusListener

    protected AbstractController.InternalStatusListener()

Method Detail

### statusChanged

    public void statusChanged(String message)

  Description copied from interface: `StatusListener`
  Calleed when there a new status message.
  Specified by:
    `statusChanged` in interface `StatusListener`
  Following copied from interface: `gate.event.StatusListener`
  Parameters:
    `text` -